Loading...
Searching...
No Matches
lcm_eventlog_event_t Struct Reference
C API Reference » lcm_eventlog_t

## Public Attributes

int64_t | eventnum
int64_t | timestamp
int32_t | channellen
int32_t | datalen
char * | channel
void * | data

## Detailed Description

Represents a single event (message) in a log file.

## Member Data Documentation

## channel

char* lcm_eventlog_event_t::channel

Channel that the message was received on

## channellen

int32_t lcm_eventlog_event_t::channellen

Length of `channel`, in bytes

## data

void* lcm_eventlog_event_t::data

Raw byte buffer containing the message payload.

## datalen

int32_t lcm_eventlog_event_t::datalen

Length of `data`, in bytes

## eventnum

int64_t lcm_eventlog_event_t::eventnum

A monotonically increasing number assigned to the message to identify it in the log file.

## timestamp

int64_t lcm_eventlog_event_t::timestamp

Time that the message was received, in microseconds since the UNIX epoch

The documentation for this struct was generated from the following file:

- eventlog.h